org.eclipse.emf.cdo.transaction

## Class CDOAutoAttacher

- java.lang.Object
- - org.eclipse.emf.cdo.transaction.CDODefaultTransactionHandler1
  - - org.eclipse.emf.cdo.transaction.CDOAutoAttacher

- All Implemented Interfaces:
    CDOTransactionHandler1, CDOTransactionHandler1.WithUndo, CDOTransactionHandlerBase

      public class CDOAutoAttacher
      extends CDODefaultTransactionHandler1

  A `transaction handler` that automatically attaches cross-referenced objects to the `resource` that contains the referencing `object`.
  Since:
    2.0
  Author:
    Simon McDuff

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionHandler1

      `CDOTransactionHandler1.WithUndo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOAutoAttacher(CDOTransaction transaction)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attachingObject(CDOTransaction transaction, CDOObject object)` This implementation does nothing.
    `CDOTransaction` | `getTransaction()`
    `void` | `modifyingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureChange)` This implementation does nothing.
    `protected void` | `persist(EObject res, java.lang.Object object)`

    - ### Methods inherited from class org.eclipse.emf.cdo.transaction.CDODefaultTransactionHandler1

      `detachingObject, handleDefault, undoingObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOAutoAttacher

          public CDOAutoAttacher(CDOTransaction transaction)

  - ### Method Detail

    - #### getTransaction

          public CDOTransaction getTransaction()

    - #### attachingObject

          public void attachingObject(CDOTransaction transaction,
                                      CDOObject object)

      Description copied from class: `CDODefaultTransactionHandler1`
      This implementation does nothing. Clients may override to provide specialized behavior.
      Specified by:
        `attachingObject` in interface `CDOTransactionHandler1`
      Overrides:
        `attachingObject` in class `CDODefaultTransactionHandler1`

    - #### modifyingObject

          public void modifyingObject(CDOTransaction transaction,
                                      CDOObject object,
                                      CDOFeatureDelta featureChange)

      Description copied from class: `CDODefaultTransactionHandler1`
      This implementation does nothing. Clients may override to provide specialized behavior.
      Specified by:
        `modifyingObject` in interface `CDOTransactionHandler1`
      Overrides:
        `modifyingObject` in class `CDODefaultTransactionHandler1`

    - #### persist

          protected void persist(EObject res,
                                 java.lang.Object object)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html